<?php
/**
 * @package linea21.core
 * @subpackage public
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */
include_once('../lib/lib_common.php');
ob_start('optimize');
session_start(); // necessary for adding a new entry in yellowpages
include_once('../config/define.php');
include_once('../config/server.php');
distInclude('../public/'.SQL.'.inc.php');
include_once('../admin/'.SQL.'.inc.php');
distInclude('../public/filters.php');
distInclude('../public/layout.php'); 
include_once('../lib/functions_auth.php');
include_once('../lib/lang.php');
include_once('../lib/items.php');
ActiveItem();
IncludeLang();
////////////////////////////////////////
/// Connexion Mysql
///////////////////
include_once('../class/system/class.'.SQL.'.php');
$sql_entity=SQL;
$GLOBALS['sql_object'] = new $sql_entity;
$GLOBALS['sql_object'] -> DBInitialise();
$GLOBALS['sql_object'] -> DBConnexion();
///////////////////

echo '<?xml version="1.0" encoding="'.CHARSET.'" xml:lang="'.LANGUAGE.'"?>';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo LANGUAGE; ?>">
<?php distInclude('../public/header.php'); ?>
<body>
<div id="container">
<!-- Header -->
<div id="header">
	<?php 
	$swf_src = (date('G')>=7 && date('G')<=19) ? '../gfx/' .THEME_PUBLIC. '/flash/bandeau_j.swf': '../gfx/' .THEME_PUBLIC. '/flash/bandeau.swf';
	?>
	<div id="flash">
		<object  type="application/x-shockwave-flash"  data="<?php echo $swf_src; ?>" width="776" height="105">
		<param name="movie" value="<?php echo $swf_src; ?>" />
		<param name="quality" value="high" />
		<img src="../gfx/<?php echo THEME_PUBLIC; ?>/images/public/noflash.png" width="776" height="105" alt="si vous souhaitez voir l'anim, téléchargez le plug-in flash" />
		</object>
	</div>
	<div id="menuhr">&nbsp;</div>	
	<div id="navcontainer">
		<div id="navicons">
		<a href="<?php echo HrefMaker(array('rub' => $GLOBALS['links'][LANGUAGE]['home']['linkvalue']));?>" accesskey="1" title="<?php echo $GLOBALS['links'][LANGUAGE]['home']['desc']; ?>"><img src="../gfx/<?php echo THEME_PUBLIC; ?>/images/public/menu_home.png" style="margin-left:5px" alt="<?php echo $GLOBALS['links'][LANGUAGE]['home']['desc']; ?>" /></a>
		<a href="javascript:history.go(-1);" title="<?php echo $GLOBALS['lang']['divers']['backpage']; ?>"><img src="../gfx/<?php echo THEME_PUBLIC; ?>/images/public/menu_back.png" alt="<?php echo $GLOBALS['lang']['divers']['backpage']; ?>" /></a>
		<a href="<?php echo HrefMaker(array('rub' => $GLOBALS['links'][LANGUAGE]['search']['linkvalue']));?>" title="<?php echo $GLOBALS['links'][LANGUAGE]['search']['title']; ?>"><img src="../gfx/<?php echo THEME_PUBLIC; ?>/images/public/menu_search.png" style="margin:0" alt="<?php echo $GLOBALS['links'][LANGUAGE]['search']['title']; ?>" /></a>
		</div>
		<?php echo DisplayMenu(); ?>
		<?php echo MyAccount(); ?>
	</div>
	
</div>
<!-- End Header -->

<div id="page">
	<div id="main">
		<?php if (isset($_REQUEST['rub'])) {
		if ($_REQUEST['rub']<>$GLOBALS['links'][LANGUAGE]['home']['linkvalue']) {
		?>
	
	<div id="contenu_header">
	<a href="javascript:self.print();" title="<?php echo $GLOBALS['lang']['divers']['print']; ?>"><img src="../gfx/<?php echo THEME_PUBLIC; ?>/images/public/<?php echo LANGUAGE;?>/print.gif" alt="<?php echo $GLOBALS['lang']['divers']['print']; ?>" /></a>
	</div>
		 <?}	
		}
		 DisplayTemplate();?>
	</div>
	<div id="board">
    <?php 
    DisplayProjectBoard();
	DisplayFilter();
	//DisplayFilter2();
	DisplaySearchForm();
	DisplayBoardLastNews(3);
	DisplayBoardLastSdi();
	DisplayNewsletterForm();
	DisplayLogo();
	DisplayFooterleft();
	?>
	</div>
</div>
<br style="clear:both" />
<!-- Footer -->
<div id="footer">Linea21 
<p><?php printf($GLOBALS['lang']['divers']['licence'] ,'<a href="http://opensource.org/licenses/gpl-3.0.html" title="GNU GPL v3" class="out">GNU GPL v3</a>'); ?></p> 

(version <?php echo LINEA_VERSION; ?>) | <a href="../admin/index.php" title="interface d'administration"><?php echo $GLOBALS['lang']['header']['title'];?></a> | styles : <?php echo FooterStyleSwitcher(); ?></div>
<!-- End Footer -->

</div>
</body>
</html>

<?php
$GLOBALS['sql_object'] -> DBClose();
ob_end_flush();
?>
